develooper Front page | perl.perl5.porters | Postings from September 2016

[perl #128836] XSLoader meta information incorrect

From:
Sebastien Aperghis-Tramoni via RT
Date:
September 1, 2016 13:21
Subject:
[perl #128836] XSLoader meta information incorrect
Message ID:
rt-4.0.24-18913-1472736092-1863.128836-15-0@perl.org
[ to sum up here what I said in the github ticket of carton
  https://github.com/perl-carton/carton/issues/210 ]

There's a small mistake in the patch, in that ${$PACKAGE.'::VERSION'} actually is the current version of XSLoader, not the one about to be installed.

The attached patch, corresponding to the version 0.24 just uploaded on the CPAN, makes it more clear by creating two vars: $CURRENT_VERSION and $NEW_VERSION.

-- 
Close the world, txEn eht nepO.

---
via perlbug:  queue: perl5 status: pending release
https://rt.perl.org/Ticket/Display.html?id=128836



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About